cURL
curl --request POST \ --url https://api.xpaycheckout.com/subscription/merchant/unpause \ --header 'Authorization: Basic <encoded-value>' \ --header 'Content-Type: application/json' \ --data ' { "subscriptionId": "sub_fooBOwYsaK50AEfK", "newNextPaymentDate": 1729608043615 } '
{ "errorCode": "bad_request", "errorDescription": "Failed to read request" }
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Basic <encoded-value>
<encoded-value>
username:password
Unpause Subscription
Unique identifier of the subscription
"sub_fooBOwYsaK50AEfK"
The date on which the subscription becomes active again and the next charge will be attempted, as a Unix timestamp in milliseconds.
1729608043615
Unpause Subscription response
Was this page helpful?